Subject: Re: redistributing isis v6 routes into BGP

From: [email-masked]
Date: Thu, 21 Apr 2005 19:02:01 +0200

It is strongly recommended in this environment that the use of a
"loopback" interface be coded as the nexthop address.  Also of concern
is auto-summarization.

Otherwise, from my experience if this is an originating BGP announcement
from an iBGP peer only.  If there is only 1 other peer, it will use the
global address from the peering connection.  More than one peer it will
choose the lowest global address from the interfaces.

Hope that helps
-Brian

[email-masked]
Opsware, Inc - Automating IT

"Vijayanand C - CTD, Chennai." <[email-masked]> wrote on 04/21/2005,
04:23:31 PM:
> Hello all,
> I have a question regarding redistribution of IPv6 ISIS routes into BGP.
> 
> The v6 routes of ISIS have link local next hops.  So, when these are
> redistributed into I-BGP( without route maps having next hop set clause),
> what should be the value of global next hop v6 address to be sent in the
> update message. Would it be the global address of the interface
> corresponding to the link local next hop or the global address of the
> interface over which the IBGP peering is established or something else.
> 
> Thanks in advance,
> Regards,
> Vijay
> 
> 
> DISCLAIMER 
> This message and any attachment(s) contained here are information that is
> confidential, proprietary to HCL Technologies 
> and its customers. Contents may be privileged or otherwise protected by law.
> The information is solely intended for the 
> individual or the entity it is addressed to. If you are not the intended
> recipient of this message, you are not authorized to 
> read, forward, print, retain, copy or disseminate this message or any part
> of it. If you have received this e-mail in error, 
> please notify the sender immediately by return e-mail and delete it from
> your computer.
> 
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------